# frozen_string_literal: true

if defined?(::Rails)
  if ::Rails::VERSION::MAJOR > 2
    require 'baseline_red_rpm/railtie'
  else
    Rails.configuration.after_initialize do
      unless BaselineRedRpm.disable_agent?
        BaselineRedRpm.load
        BaselineRedRpm.logger.info "Initializing rack middleware tracer."
        Rails.configuration.middleware.insert 0, BaselineRedRpm::Instruments::Rack
      end
    end
  end
end
