# frozen_string_literal: true

module BaselineRedRpm
  class Railtie < ::Rails::Railtie
    initializer "baseline_red.initialize" do |app|
      unless BaselineRedRpm.disable_agent?
        require 'baseline_red_rpm/instruments/rack'
        BaselineRedRpm.logger.info "Initializing rack middleware tracer."
        app.middleware.insert 0, BaselineRedRpm::Instruments::Rack
      end

      config.after_initialize do
        BaselineRedRpm.config.app_root = Rails.root
        BaselineRedRpm.config.reload
        BaselineRedRpm.load
      end
    end
  end
end
